Subject: RE: multi-homing vs route aggregation

From: [email-masked]
Date: Fri, 23 Jul 1999 12:02:27 +0100

The specific example of Multihomed Home Networks  (that Ben described) is a
very interesting one and provides a variation to the general multihoming
problem I believe. I say that because the 'most' common problem that ISPs
try to solve with xDSL and home networks is concurrent connectivity to
multiple ISPs/networks over the same xDSL line. The interesting thing here
is that 'typically' (but obviously not always) one connection will be a
'general use ISP' and the other connection some kind of 'corporate network'.
This is only required because 'typically' the corporate network is behind a
firewall and you can not access it through a normal ISP.

So, in this case multihoming is 'easier'!: End points inside the corporate
are reachable through the corporate connection. All other connectivity
should go through the normal ISP.  

->The bottom line is that multihoming is not ONLY about resiliance but also
about connectivity. 
->The good news is that IPv6 is very good in the above scenario since the
main problem here is to recognise which destinations are inside the
corporate network. In IPv4 this is not easy at all but in IPv6 we have good
mechanisms (site local addresses + higherarchical TLA/NLAs etc). 

Regards
George

> -----Original Message-----
> From:	Brian E Carpenter [SMTP:[email-masked]]
> Sent:	Friday, July 23, 1999 2:41 AM
> To:	[email-masked]
> Subject:	Re: multi-homing vs route aggregation
> 
> I don't understand this conversation at all.
> 
> The whole point is that we don't even think about advertising
> anything more specific than a [sub]TLA prefix outside the ISP
> that owns the given [sub]TLA. Longer prefixes just never get
> out, and multihomed sites have multiple prefixes. If my house
> has two ISPs, it has two /64s perhaps, but they never escape from
> either ISP. In fact they probably never escape the two ISP's
> nearest wiring closets.
> 
> Eliminate IPv4 thinking please! 
> 
>   Brian
> 
> Ben CROSBY wrote:
> > 
> > At 20:51 22/07/99 , [email-masked] wrote:
> > 
> > >For the immediate-to-medium term, we're not talking about Joe User.
> We're
> > >talking about small-to-medium ISPs and medium-to-large corps.
> > 
> > I believe this is flawed. We are discussing immediate to medium term.
> What
> > about deployment of xDSL technologies ? Permanant IP(v6) links to homes
> > across the world, with services provided by a whole raft of different
> > value-added
> > service providers. I can see a situation just around the corner, where I
> > want to
> > be able to connect to my corporate lan on the one hand, and my video
> provider
> > on the other hand, maybe even to a VPN between some friends so we can
> play
> > video games. That gives me a very big reason to have my xDSL connected
> > (network or standalone) at home multi-homed under v6.
> > 
> > This is just one scenario, where end users can be multi homed, and it
> isn't for
> > resilience.
> > 
> > We really don't want to break the Route Aggregation.
> > 
> > My 0.02c.
> > 
> > Ben.
> > --------------------------------------------------------------------
> > IETF IPng Working Group Mailing List
> > IPng Home Page:                      http://playground.sun.com/ipng
> > FTP archive:                      ftp://playground.sun.com/pub/ipng
> > Direct all administrative requests to [email-masked]
> > --------------------------------------------------------------------
> 
> -- 
> - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
> Brian E Carpenter (IAB Chair)
> Program Director, Internet Standards & Technology, IBM Internet Div
> On assignment for IBM at http://www.iCAIR.org 
> Non-IBM email: [email-masked]
> 
> 
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------